function OnWarpEnter() 

	SetMarker("cs\\Warp_0014.wp" , 0 , 0)


	if not OpenMachineW21 then
		AnimationSetToStart("zma1",false)
	elseif OpenMachineW21 then
		AnimationSetToEnd("zma1",false)
	end

	-- bougies
	AnimationSetToStart("cian",false)


--------------------------------------------------------------------------- balcon
	AnimationSetToEnd("cxa1")
	AnimationSetToEnd("cya1")
---------------------------------------------------------------------------

--------------------------------------------------------------------------- Puzzle des plančtes
	if PuzzlePlanetSolved then
		PutObject("zwa1",false)
	end
	
	if PuzzlePlanetPut then
		AnimationSetToStart("vzan",true)
	end

	--DAY4
	if ETAT_DAY == "D4" then
		SetMarker("HENRY_CHART",4,0)
	end

	if not CoffreW221 then
		AnimationSetToStart("zya1")
	else
		AnimationSetToEnd("zya1")
	end
end


function OnWarpLeave()
end


function OnAnimationFinished(objectName)

end


function OnDialogFinished(dialogName) 
	if dialogName == "Ma2354" then
		ETAT_DAY = "D3" 
		--PlayMovie("Videos/cine03.ogv", "Videos/Cine03.wav")
		ChangeWarp("3D\\cs\\Warp_0019.wp")
	end
end



function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0014.wp" then 
		ChangeWarp(objectName)
	end
end
